> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seminode.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get partner terms by partner ID

> Retrieves partner terms for a specific partner. Requires admin privileges.



## OpenAPI

````yaml https://api.seminode.com/v1/docs/public get /v1/companies/me/partners/{partnerId}/terms
openapi: 3.0.1
info:
  contact: {}
  description: Standard HTTP Basic authentication (username & password).
  title: Seminode API
  version: '1.0'
servers:
  - url: https://api.seminode.com/v1
security: []
tags: []
paths:
  /v1/companies/me/partners/{partnerId}/terms:
    get:
      tags:
        - Partner
      summary: Get partner terms by partner ID
      description: >-
        Retrieves partner terms for a specific partner. Requires admin
        privileges.
      parameters:
        - description: Partner ID
          in: path
          name: partnerId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
          description: partner terms retrieved successfully
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
          description: partner terms not found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
          description: failed to fetch partner terms
        default:
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
      security:
        - LoginAuth: []
components:
  schemas:
    utils.ErrorResponse:
      properties:
        error:
          type: string
      type: object
  securitySchemes:
    LoginAuth:
      scheme: basic
      type: http

````